# Note that this is NOT a relocatable package

Summary: Extra modules for version 2 of the GNOME virtual file-system
Name:           gnome-vfs2-extras
Version:        0.99.10
Release:	3
Copyright:      GPL
Group: System Environment/Libraries
Source:         gnome-vfs-extras-%{version}.tar.bz2

URL:            http://www.gnome.org/
BuildRoot:      /var/tmp/%{name}-root
Requires:       gnome-vfs2 >= 2.0.0
Requires:	gnome-icon-theme >= 0.1.5

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. This package contains some extra modules for
version 2 of GNOME VFS that for various reasons are not distributed with 
the core gnome-vfs package. Amongst other things it includes a samba 
based smb network browser.

%prep
%setup -q -n gnome-vfs-extras-%{version}

%build
(cd samba; autoconf)
%configure

make

%install
rm -fr %{buildroot}

%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/{libsmb.a,libsmb.la}
rm -rf $RPM_BUILD_ROOT%{_datadir}


%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gnome-vfs-2.0/modules/extra-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so

%changelog
* Fri Aug  1 2003 Bill Nottingham <notting@redhat.com> 0.99.10-3
- remove extraneous gnome-vfs dependency

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 12 2003 Alexander Larsson <alexl@redhat.com>
- Upgrade to 0.99.10, fixes #83833 and is much much faster when
  enumerating workgroups (http://bugzilla.gnome.org/show_bug.cgi?id=103576)

* Thu Feb  6 2003 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.9, fixes i18n bug

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 0.99.8-1
- Update to 0.99.8

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com> 0.99.7-2
- Require gnome-icon-theme 0.1.5

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com> 0.99.7-1
- Update to 0.99.7

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 0.99.5-2
- remove unpackaged files from the buildroot

* Tue Sep  3 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.5, fixes #70873

* Mon Aug 12 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.3, fixes #70873

* Fri Aug  9 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.2

* Mon Jun 24 2002 Owen Taylor <otaylor@redhat.com>
- Create a gnome-vfs2-extras package with version 0.99

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- 0.2.0, fixes #61669

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- New release

* Tue Jul  3 2001 Alexander Larsson <alexl@redhat.com>
- Release 2. Removed the vendor and distribution tags from
- the specfile.

* Wed Jun  7 2001 Alexander Larsson <alexl@redhat.com>
- Don't build on IA64

* Wed Jun  6 2001 Alexander Larsson <alexl@redhat.com>
- Initial version
